<?php

namespace App\Model\Entities\Components\Guide;

use App\Model\Entities\Security\User;
use App\Model\Entities\Components\TextEntryVersion;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="guide_version")
 */
class GuideVersion extends TextEntryVersion
{
    public function __construct(User $createdBy, Guide $textEntry, $language)
    {
        parent::__construct($createdBy, $textEntry, $language);
    }

    public function getGuide()
    {
        return $this->textEntry;
    }

}